Page MenuHomeSolus

Update libspatialindex to 1.9.3
ClosedPublic

Authored by aleksvor on Dec 7 2019, 1:15 PM.

Details

Summary

Changelogs:

Test Plan

Rebuilt minetest and qgis against this version.

Diff Detail

Repository
R1855 libspatialindex
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

aleksvor created this revision.Dec 7 2019, 1:15 PM
aleksvor requested review of this revision.Dec 7 2019, 1:15 PM

minetest and qgis need to be rebuilt because of ABI break.

Jacalz awarded a token.Dec 7 2019, 3:26 PM
aleksvor planned changes to this revision.Dec 9 2019, 6:47 AM

Only now I noticed that CMake script in 1.9.x series doesn't process and install pkgconfig file, meaning that revdeps won't build against this version until I either process and install this file manually (the .pc.in file is still in the source tree) or rewrite scripts of the revdeps so they use explicit package name. I'll see what I can do about it.

aleksvor requested review of this revision.Dec 28 2019, 1:21 PM
aleksvor removed a project: Requires Rebuilds.
DataDrake accepted this revision.Tue, Jan 14, 1:57 AM
DataDrake added a subscriber: DataDrake.

LGTM. Thanks!

This revision is now accepted and ready to land.Tue, Jan 14, 1:57 AM
This revision was automatically updated to reflect the committed changes.